 /* ******************************************************************************
  * @file    novic_irq_tbl.c
  * @author  
  * @version V1.00
  * @date    2023/02/01
  ******************************************************************************
  *THIS SOFTWARE WHICH IS FOR ILLUSTRATIVE PURPOSES ONLY WHICH PROVIDES 
  *CUSTOMER WITH CODING INFORMATION REGARDING THEIR PRODUCTS.
  *APT CHIP SHALL NOT BE HELD RESPONSIBILITY ADN LIABILITY FOR ANY DIRECT, 
  *INDIRECT DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF 
  *SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION 
  *CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.AND APT CHIP RESERVES 
  *THE RIGHT TO MAKE CHANGES IN THE SOFTWARE WITHOUT NOTIFICATION
  ******************************************************************************
  */
#include "apt32f103.h"


extern void Default_Handler(void);

void (*g_irqvector[64])(void);
void (*g_nmivector)(void);

void irq_vectors_init(void)
{
    //int i;

   /* for (i = 0; i < 64; i++) {
        g_irqvector[i] = Default_Handler;
    }*/
	
//#ifdef	CONFIG_IRQ_LOOKUP		//Table lookup method for interrupt processing 
	//init all irq table
 //   g_irqvector[CORET_IRQn] 	= coret_int_handler;
	g_irqvector[SOFTWARE_IRQ_NUM] 	=tspend_handler;
	g_irqvector[SYSCON_IRQ_NUM] 	= SYSCONIntHandler;
	g_irqvector[IFC_IRQ_NUM] 		= IFCIntHandler;
	g_irqvector[ADC_IRQ_NUM] 		= ADCIntHandler;
	g_irqvector[EPTA_IRQ_NUM] 		= EPT0IntHandler;
	g_irqvector[DMA_IRQ_NUM] 		= DMAIntHandler;
	g_irqvector[WWDT_IRQ_NUM] 		= WWDTIntHandler;
	g_irqvector[EXI0_IRQ_NUM] 		= EXI0IntHandler;
	g_irqvector[EXI1_IRQ_NUM] 		= EXI1IntHandler;
	g_irqvector[GPTA0_IRQ_NUM]   	= GPTA0IntHandler;
	g_irqvector[RTC_IRQ_NUM] 		= RTCIntHandler;
	g_irqvector[UART0_IRQ_NUM]  	= UART0IntHandler;
	g_irqvector[UART1_IRQ_NUM]  	= UART1IntHandler;
	g_irqvector[UART2_IRQ_NUM]  	= UART2IntHandler;
	g_irqvector[USART0_IRQ_NUM]  	= USART0IntHandler;
	g_irqvector[SIO0_IRQ_NUM] 		= SIO0IntHandler;
	g_irqvector[I2C_IRQ_NUM] 		= I2CIntHandler;
	g_irqvector[SPI0_IRQ_NUM] 		= SPI0IntHandler;
	
	g_irqvector[EXI2_IRQ_NUM] 		= EXI2to3IntHandler;
	g_irqvector[EXI3_IRQ_NUM] 		= EXI4to9IntHandler;
	g_irqvector[EXI4_IRQ_NUM] 		= EXI10to15IntHandler;
	g_irqvector[CNTA_IRQ_NUM] 		= CNTAIntHandler;
	g_irqvector[TKEY_IRQ_NUM] 		= TKEYIntHandler;
	g_irqvector[LPT_IRQ_NUM] 		= LPTIntHandler;
	g_irqvector[BT0_IRQ_NUM] 		= BT0IntHandler;
	g_irqvector[BT1_IRQ_NUM] 		= BT1IntHandler;
	g_irqvector[BT2_IRQ_NUM] 		= BT2IntHandler;
	g_irqvector[BT3_IRQ_NUM] 		= BT3IntHandler;


//#endif

}
