/*
  ******************************************************************************
  * @file    main.c
  * @author  
  * @version V0.95
  * @date    2023/08/30
  ******************************************************************************
  *THIS SOFTWARE WHICH IS FOR ILLUSTRATIVE PURPOSES ONLY WHICH PROVIDES 
  *CUSTOMER WITH CODING INFORMATION REGARDING THEIR PRODUCTS.
  *APT CHIP SHALL NOT BE HELD RESPONSIBILITY ADN LIABILITY FOR ANY DIRECT, 
  *INDIRECT DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF 
  *SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION 
  *CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.AND APT CHIP RESERVES 
  *THE RIGHT TO MAKE CHANGES IN THE SOFTWARE WITHOUT NOTIFICATION
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "apt32f103.h"
#include "apt32f103_adc.h"
#include "apt32f103_bt.h"
#include "apt32f103_countera.h"
#include "apt32f103_crc.h"
#include "apt32f103_ept.h"
#include "apt32f103_et.h"
#include "apt32f103_gpio.h"
#include "apt32f103_gpt.h"
#include "apt32f103_i2c.h"
#include "apt32f103_ifc.h"
#include "apt32f103_lpt.h"
#include "apt32f103_rtc.h"
#include "apt32f103_sio.h"
#include "apt32f103_spi.h"
#include "apt32f103_syscon.h"
#include "apt32f103_uart.h"
#include "apt32f103_usart.h"
#include "apt32f103_wwdt.h"
#include "apt32f103_dma.h"
#include "apt32f103_types_local.h"
#include "math.h"
#include "tkey.h"
/* defines -------------------------------------------------------------------*/

/* externs Register-------------------------------------------------------------------*/
extern volatile unsigned long dwKey_Map;		//touch key press result
/* externs function-------------------------------------------------------------------*/
extern void delay_nms(unsigned int t);
extern void APT32F103_init(void);	









/***************************************************/
//main
/**************************************************/
int main(void) 
{
	delay_nms(2000);
	APT32F103_init();
    while(1)
	{
		SYSCON_IWDCNT_Reload(); 						//clear IWDT
		//...
    }
}

/******************* (C) COPYRIGHT 2023 APT Chip *****END OF FILE****/